summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam Hartman <hartmans@debian.org>2009-07-29 17:01:29 -0400
committerSteve Langasek <vorlon@debian.org>2019-01-08 19:41:59 -0800
commit5b175b34398c5c1be943083e463f28347845924d (patch)
tree59efc98399273ba2b6d37f81657334403b6d6e38
parent397ef858f3a6c310bd975964a58bbe8631822a22 (diff)
Per discussion with Steve, move security note from
libpam-runtime.config to postinst.
-rw-r--r--debian/libpam-runtime.config19
-rw-r--r--debian/libpam-runtime.postinst16
2 files changed, 14 insertions, 21 deletions
diff --git a/debian/libpam-runtime.config b/debian/libpam-runtime.config
deleted file mode 100644
index 48bd7513..00000000
--- a/debian/libpam-runtime.config
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/bin/sh
-set -e
-. /usr/share/debconf/confmodule
-
-
-# pam-auth-update is introduced in 1.0.1-6
-# Between 1.0.1-6 and 1.0.1-10 it is possible to get empty profiles
-if [ "x$2" != "x" ] ;then
- if dpkg --compare-versions $2 lt 1.0.1-10 && dpkg --compare-versions $2 ge 1.0.1-6 ; then
- db_get libpam-runtime/profiles
- if [ "x$ret" = "x" ] ; then
- db_input high libpam-runtime/you-had-no-auth ||true
- db_go
- fi
- fi
-fi
-
-
- \ No newline at end of file
diff --git a/debian/libpam-runtime.postinst b/debian/libpam-runtime.postinst
index 4903ede8..76a3fc21 100644
--- a/debian/libpam-runtime.postinst
+++ b/debian/libpam-runtime.postinst
@@ -1,9 +1,21 @@
#!/bin/sh -e
-# If the user has removed the config file, respect this sign of dementia
-# -- only create on package install.
. /usr/share/debconf/confmodule
+# pam-auth-update is introduced in 1.0.1-6
+# Between 1.0.1-6 and 1.0.1-10 it is possible to get empty profiles
+if [ "x$2" != "x" ] ;then
+ if dpkg --compare-versions $2 lt 1.0.1-10 && dpkg --compare-versions $2 ge 1.0.1-6 ; then
+ db_get libpam-runtime/profiles
+ if [ "x$ret" = "x" ] ; then
+ db_input critical libpam-runtime/you-had-no-auth ||true
+ db_go
+ fi
+ fi
+fi
+
+# If the user has removed the config file, respect this sign of dementia
+# -- only create on package install.
force=
if [ -z "$2" ] || dpkg --compare-versions "$2" lt 1.0.1-6
then